#!/bin/bash

yum install -y gcc gcc-c++ wget  openssl openssl-devel systemd-devel.x86_64 pcre pcre-devel

useradd haproxy

mkdir /root/sh /root/software

cd /root/sh 
wget http://8.210.81.239/linux/haproxy/reload.sh
chmod +x reload.sh
cd  /root/software
##download file
if [ ! -f haproxy.cfg ];then
	wget  http://8.210.81.239/linux/haproxy/haproxy.cfg
fi

if [ ! -f haproxy-2.1.7.tar.gz ];then
	wget  http://8.210.81.239/linux/haproxy/haproxy-2.1.7.tar.gz
fi


##install
tar zxf haproxy-2.1.7.tar.gz
cd haproxy-2.1.7
make  TARGET=linux-glibc ARCH=x86_64 PREFIX=/home/haproxy/haproxy USE_OPENSSL=1 USE_SYSTEMD=1 USE_PCRE=1  USE_ZLIB=1 
make install PREFIX=/home/haproxy/haproxy 
##configuretion

mkdir /home/haproxy/haproxy/conf
cp  /root/software/haproxy.cfg  /home/haproxy/haproxy/conf/

syslog_status=`cat /etc/rsyslog.conf |grep haproxy.log |grep -v grep |wc -l`
if [ $syslog_status == 0 ];then

echo "\$ModLoad imudp
\$UDPServerRun 514
local3.*        /var/log/haproxy.log
local0.*        /var/log/haproxy.log" >> /etc/rsyslog.conf
fi

boot_stats=`cat /etc/rc.d/rc.local |grep haproxy |grep -v grep |wc -l `
if [ $boot_stats == 0 ];then 
echo "/home/haproxy/haproxy/sbin/haproxy -f /home/haproxy/haproxy/conf/haproxy.cfg">>/etc/rc.d/rc.local

fi
service rsyslog restart



if [ $? == 0 ];then
echo "##################"  
echo -e "\033[40;32m install success \033[0m"
echo "###################"
echo "start haproxy use command '/home/haproxy/haproxy/sbin/haproxy -f /home/haproxy/haproxy/conf/haproxy.cfg' "
echo "before this,please configure  haproxy.cfg"
echo "平滑重启脚本 /root/sh/reload.sh"
echo "#############################"

  
 else 
  echo "##############"
 echo -e "\033[40;31m error \033[0m"
 echo "############" 
 fi


